.spot {

	display: table;

	span {
		display: table-cell;
		vertical-align: middle;
		height : rem-calc($spot-size/1.2);
		width : rem-calc($spot-size/1.2);
		border-radius : 50%;
		@extend .all-title;
		font-size: rem-calc(12);
		line-height: rem-calc(12);
		text-align: center;
		background-color: $primary-color;
		color : $secondary-color;
	}
	
}

.spot.popschool span{
	background-color: $popschool-color;
	color : white;
}

.spot.popup span{
	background-color: $popup-color;
	color : white;
}

.spot.popplace span{
	background-color: $popplace-color;
	color : white;
}

.spot.poplab span{
	background-color: $poplab-color;
	color : white;
}

.logo {
	display: block;
	background: url('../assets/img/pop.png') no-repeat center center;
	text-indent: -9999px;
 	width: 100%;
 	height : 0;
 	padding-top: 100%; 
 	margin: 0 auto;
	background-size: cover;	

}

.logo.large {
	height : rem-calc(400);
	width: rem-calc(400);
	background-size: rem-calc(400) rem-calc(400);
}

.logo.medium {
	height : rem-calc(180);
	width: rem-calc(180);
	background-size: rem-calc(180) rem-calc(180);
}

.logo.small {
	height : rem-calc(120);
	width: rem-calc(120);
	background-size: rem-calc(120) rem-calc(120);
}

.logo.popschool {
	background-image: url('../assets/img/popschool.svg');
}

.logo.popup {
	background-image: url('../assets/img/popup.svg');
}

.logo.popplace {
	background-image: url('../assets/img/popplace.svg');
}

.logo.poplab {
	background-image: url('../assets/img/popschool.svg');
}

@media #{$medium-up} {
	.spot {

		display: table;

		span {
			display: table-cell;
			vertical-align: middle;
			height : rem-calc($spot-size);
			width : rem-calc($spot-size);
			border-radius : 50%;
			//@extend .s-title;
			font-size: rem-calc(16);
			line-height: rem-calc(18);
			text-align: center;
			background-color: $primary-color;
			color : $secondary-color;
		}
		
	}

	
}